NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MidSurfaceByFacePairsBuilder Class Reference

Represents a NXOpen::Features::MidSurfaceByFacePairs builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::MidSurfaceByFacePairsBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PairingStrategyType { PairingStrategyTypeProgressive, PairingStrategyTypeThickness, PairingStrategyTypeManual }
 pairing strategy More...
 
enum  SurfaceType {
  SurfaceTypeStandard, SurfaceTypeSide1, SurfaceTypeOffset, SurfaceTypeCloudOfPoints,
  SurfaceTypeLarge
}
 midsurface options More...
 
enum  TrimmingOptionType { TrimmingOptionTypeAdvancedTrimming, TrimmingOptionTypeBodyBasedTrimming, TrimmingOptionTypeTrimtoSide1withNoExtension, TrimmingOptionTypeSkipTrimming }
 trimming options More...
 

Public Member Functions

void AutoPopulateSideTwo ()
 Automatically populate side two faces
Created in NX7.5.0. More...
 
bool AutoPopulateSideTwoOption ()
 Returns the auto populate side two faces option
Created in NX7.5.0. More...
 
NXOpen::SelectBodyListBodySelection ()
 Returns the solid bodies for midsurface definition
Created in NX7.5.0. More...
 
std::vector
< NXOpen::Features::Feature * > 
CreateFacePair ()
 Create or edit a face pair from selected side1 and side2 faces. More...
 
void DeleteFacePair (const std::vector< NXOpen::NXObject * > &facePairs)
 Deletes the face pair
Created in NX7.5.0. More...
 
bool HideBodyOption ()
 Returns the hide solid body option
Created in NX7.5.0. More...
 
NXOpen::ScCollectorIgnoreFaceSelection ()
 Returns the ignore face selection
Created in NX7.5.0. More...
 
double MergeAngleTolerance ()
 Returns the merge angle tolerance
Created in NX8.0.1. More...
 
void MergeFacePairs (const std::vector< NXOpen::NXObject * > &facePairs)
 Merges the face pairs
Created in NX9.0.0. More...
 
void ModifyMidsurface (NXOpen::Features::MidSurfaceByFacePairsBuilder::SurfaceType surfaceOption, const std::vector< NXOpen::NXObject * > &facePairs)
 Use cloud of points to generate neutral sheet
Created in NX7.5.0. More...
 
NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType PairingStrategy ()
 Returns the pairing strategy used by automatic pairs
Created in NX7.5.0. More...
 
void ReverseFacePair (const std::vector< NXOpen::NXObject * > &facePairs)
 Reverse face pair
Created in NX7.5.0. More...
 
NXOpen::ExpressionSearchDistance ()
 Returns the search distance to be used when searching for side 2 faces
Created in NX7.5.0. More...
 
void SetAutoPopulateSideTwoOption (bool autoPopulateSideTwoOption)
 Sets the auto populate side two faces option
Created in NX7.5.0. More...
 
void SetHideBodyOption (bool hideBodyOption)
 Sets the hide solid body option
Created in NX7.5.0. More...
 
void SetMergeAngleTolerance (double mergeAngleTolerance)
 Sets the merge angle tolerance
Created in NX8.0.1. More...
 
void SetPairingStrategy (NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType pairingStrategy)
 Sets the pairing strategy used by automatic pairs
Created in NX7.5.0. More...
 
void SetThicknessRatio (double thicknessRatio)
 Sets the dt ratio for ignoring small features
Created in NX7.5.0. More...
 
void SetTrimmingOption (NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType trimmingOption)
 Sets the trimming option
Created in NX7.5.0. More...
 
void SetUpdateOption (bool updateOption)
 Sets the immediate update
Created in NX7.5.0. More...
 
void SetupFacePairInContext (NXOpen::Features::Feature *facePair)
 Set face pair to edit
Created in NX7.5.0. More...
 
NXOpen::SelectBodyListSheetSelection ()
 Returns the user defined sheet selection
Created in NX7.5.0. More...
 
NXOpen::ScCollectorSideOneSelection ()
 Returns the side one faces for manual pair
Created in NX7.5.0. More...
 
NXOpen::ScCollectorSideTwoSelection ()
 Returns the side two faces for manual pair
Created in NX7.5.0. More...
 
double ThicknessRatio ()
 Returns the dt ratio for ignoring small features
Created in NX7.5.0. More...
 
NXOpen::ExpressionThicknessValue ()
 Returns the thickness value when pairing strategy is set to Thickness
Created in NX7.5.0. More...
 
void Trim (NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType trimmingOption, const std::vector< NXOpen::NXObject * > &facePairs)
 Trim the face pairs
Created in NX7.5.0. More...
 
NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType TrimmingOption ()
 Returns the trimming option
Created in NX7.5.0. More...
 
bool UpdateOption ()
 Returns the immediate update
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectListUserDefinedMidSurfaceSelection ()
 Returns the user defined sheet selection. More...
 
void ValidateSelection (int selectionType)
 Validate and filter out invalid items from the selection list
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::MidSurfaceByFacePairs builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder
Default values.

Property Value

AutoPopulateSideTwoOption

0

HideBodyOption

0

MergeAngleTolerance

5

PairingStrategy

Progressive

SearchDistance.Value

2.0 (millimeters part), 0.078 (inches part)

ThicknessRatio

0.1

ThicknessValue.Value

2.0 (millimeters part), 0.078 (inches part)

TrimmingOption

AdvancedTrimming


Created in NX7.5.0.

Member Enumeration Documentation

pairing strategy

Enumerator
PairingStrategyTypeProgressive 

Progressive thickness is used.

PairingStrategyTypeThickness 

Find all faces within search distance.

PairingStrategyTypeManual 

Manual pairing process.

midsurface options

Enumerator
SurfaceTypeStandard 

Default surface creation method.

SurfaceTypeSide1 

Use side 1 faces as mid sheet.

SurfaceTypeOffset 

Use offset.

SurfaceTypeCloudOfPoints 

Cloud of points.

SurfaceTypeLarge 

Use single largest surface.

trimming options

Enumerator
TrimmingOptionTypeAdvancedTrimming 

Advanced trimming.

TrimmingOptionTypeBodyBasedTrimming 

Body based trimming.

TrimmingOptionTypeTrimtoSide1withNoExtension 

Trim to master.

TrimmingOptionTypeSkipTrimming 

Skip trimming for replacement sheets.

Member Function Documentation

void NXOpen::Features::MidSurfaceByFacePairsBuilder::AutoPopulateSideTwo ( )

Automatically populate side two faces
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MidSurfaceByFacePairsBuilder::AutoPopulateSideTwoOption ( )

Returns the auto populate side two faces option
Created in NX7.5.0.



License requirements : None

NXOpen::SelectBodyList* NXOpen::Features::MidSurfaceByFacePairsBuilder::BodySelection ( )

Returns the solid bodies for midsurface definition
Created in NX7.5.0.



License requirements : None

std::vector<NXOpen::Features::Feature *> NXOpen::Features::MidSurfaceByFacePairsBuilder::CreateFacePair ( )

Create or edit a face pair from selected side1 and side2 faces.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::MidSurfaceByFacePairsBuilder::DeleteFacePair ( const std::vector< NXOpen::NXObject * > &  facePairs)

Deletes the face pair
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be deleted
bool NXOpen::Features::MidSurfaceByFacePairsBuilder::HideBodyOption ( )

Returns the hide solid body option
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::IgnoreFaceSelection ( )

Returns the ignore face selection
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::MidSurfaceByFacePairsBuilder::MergeAngleTolerance ( )

Returns the merge angle tolerance
Created in NX8.0.1.



License requirements : None

void NXOpen::Features::MidSurfaceByFacePairsBuilder::MergeFacePairs ( const std::vector< NXOpen::NXObject * > &  facePairs)

Merges the face pairs
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be merged
void NXOpen::Features::MidSurfaceByFacePairsBuilder::ModifyMidsurface ( NXOpen::Features::MidSurfaceByFacePairsBuilder::SurfaceType  surfaceOption,
const std::vector< NXOpen::NXObject * > &  facePairs 
)

Use cloud of points to generate neutral sheet
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
surfaceOptionsurfaceoption
facePairsPairs to use cloud of points
NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategy ( )

Returns the pairing strategy used by automatic pairs
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::MidSurfaceByFacePairsBuilder::ReverseFacePair ( const std::vector< NXOpen::NXObject * > &  facePairs)

Reverse face pair
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be reversed
NXOpen::Expression* NXOpen::Features::MidSurfaceByFacePairsBuilder::SearchDistance ( )

Returns the search distance to be used when searching for side 2 faces
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetAutoPopulateSideTwoOption ( bool  autoPopulateSideTwoOption)

Sets the auto populate side two faces option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
autoPopulateSideTwoOptionautopopulatesidetwooption
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetHideBodyOption ( bool  hideBodyOption)

Sets the hide solid body option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
hideBodyOptionhidebodyoption
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetMergeAngleTolerance ( double  mergeAngleTolerance)

Sets the merge angle tolerance
Created in NX8.0.1.



License requirements : None

Parameters
mergeAngleTolerancemergeangletolerance
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetPairingStrategy ( NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType  pairingStrategy)

Sets the pairing strategy used by automatic pairs
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
pairingStrategypairingstrategy
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetThicknessRatio ( double  thicknessRatio)

Sets the dt ratio for ignoring small features
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
thicknessRatiothicknessratio
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetTrimmingOption ( NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType  trimmingOption)

Sets the trimming option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimmingOptiontrimmingoption
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetUpdateOption ( bool  updateOption)

Sets the immediate update
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
updateOptionupdateoption
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetupFacePairInContext ( NXOpen::Features::Feature facePair)

Set face pair to edit
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
facePairFace pair to edit
NXOpen::SelectBodyList* NXOpen::Features::MidSurfaceByFacePairsBuilder::SheetSelection ( )

Returns the user defined sheet selection
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::SideOneSelection ( )

Returns the side one faces for manual pair
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::SideTwoSelection ( )

Returns the side two faces for manual pair
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::MidSurfaceByFacePairsBuilder::ThicknessRatio ( )

Returns the dt ratio for ignoring small features
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::MidSurfaceByFacePairsBuilder::ThicknessValue ( )

Returns the thickness value when pairing strategy is set to Thickness
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::MidSurfaceByFacePairsBuilder::Trim ( NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType  trimmingOption,
const std::vector< NXOpen::NXObject * > &  facePairs 
)

Trim the face pairs
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimmingOptiontrimmingoption
facePairsPairs to be deleted
NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOption ( )

Returns the trimming option
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::MidSurfaceByFacePairsBuilder::UpdateOption ( )

Returns the immediate update
Created in NX7.5.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::MidSurfaceByFacePairsBuilder::UserDefinedMidSurfaceSelection ( )

Returns the user defined sheet selection.

A face, body or datum plane to define user defined midsurface
Created in NX10.0.0.

License requirements : None

void NXOpen::Features::MidSurfaceByFacePairsBuilder::ValidateSelection ( int  selectionType)

Validate and filter out invalid items from the selection list
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
selectionType0 - BodySelection, 1 - SideOneSelection, 2 - SideTwoSelection

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.